      SUBROUTINE READTL( BLK )
* 
*     .. Array Arguments ..
      DOUBLE PRECISION   BLK( 18,90 )
*     ..
* 
*  Purpose
*  =======
* 
*  READTL reads the data block of the Tolosa matrix. The size of 
*  data block is always 18x90.
* 
*  Arguments
*  =========
* 
*  BLK  - DOUBLE PRECISION array dimension (18,90)
*         On exit, BLK contains the main block of the 
*         studied Tolosa matrix.
* 
*  ==============================================================
*
*     .. Parameters ..
      DOUBLE PRECISION  ZERO
      PARAMETER         ( ZERO=0.0D+00 )
*     ..
*     .. Local scalars ..
      INTEGER 		I,J,K
*     ..
* 
*     Initialization
*
      DO 20 J =  1, 90
         DO 10 I = 1, 18
            BLK( I,J ) = ZERO
  10     CONTINUE 
  20  CONTINUE 
* 
*     This is the code for reading the ascii file containing BLK:
*     each line of length 90 is divided into 18 lines of length 5;
*     there are 18 lines of length 90 in the block BLK.
*
      OPEN( 1,FILE='block',STATUS='OLD' )
*
      DO 40 I = 1,18
        DO 30 J = 1,18
           READ( 1,250 ) (BLK(I, 5*(J-1)+K), K = 1,5)
  30     CONTINUE 
  40  CONTINUE 
 250  FORMAT( 5D15.8 )
*
      CLOSE( 1 )
*
      RETURN 
*
*     End of READTL
*
      END
